Loading...
Searching...
No Matches
XrdSecAttr Class Reference

`#include <XrdSecAttr.hh>`

Inheritance diagram for XrdSecAttr:
Collaboration diagram for XrdSecAttr:

## Public Member Functions

| XrdSecAttr (const void *dSig)
virtual void | Delete ()
| Delete this object (may be over-ridden for custom action).

## Protected Member Functions

virtual | ~XrdSecAttr ()
| Destructor (always externally done via Delete() method).

## Friends

class | XrdSecEntityAttr

## Detailed Description

Definition at line 60 of file XrdSecAttr.hh.

## Constructor & Destructor Documentation

## XrdSecAttr()

XrdSecAttr::XrdSecAttr | ( | const void * | dSig | ) |

inline

Constructor.

Parameters

  dSig | - the unique signature for all instances of the class that uses this class as its base (i.e. the derived class).

Definition at line 78 of file XrdSecAttr.hh.

: Signature(dSig) {}

Referenced by XrdAccEntity::GetEntity().

Here is the caller graph for this function:

## ~XrdSecAttr()

virtual XrdSecAttr::~XrdSecAttr | ( |  | ) |

inline protected virtual

Destructor (always externally done via Delete() method).

Definition at line 85 of file XrdSecAttr.hh.

{}

## Member Function Documentation

## Delete()

virtual void XrdSecAttr::Delete | ( |  | ) |

inline virtual

Delete this object (may be over-ridden for custom action).

Definition at line 69 of file XrdSecAttr.hh.

{delete this;}

## Friends And Related Symbol Documentation

## XrdSecEntityAttr

friend class XrdSecEntityAttr

friend

Definition at line 63 of file XrdSecAttr.hh.

References XrdSecEntityAttr.

Referenced by XrdSecEntityAttr.

The documentation for this class was generated from the following file:

- XrdSecAttr.hh